# Create and print GitHub Gists

## Synopsis

`hub gist` create [-oc] [--public] [FILES...]
`hub gist` show ID [FILENAME]

## Commands

create
  Create a new gist. If no FILES are specified, the content is read from standard input.
show
  Print the contents of a gist. If the gist contains multiple files, the operation will error out unless FILENAME is specified.

## Options

--public
  Make the new gist public (default: false).
-o, --browse
  Open the new gist in a web browser.
-c, --copy
  Put the URL of the new gist to clipboard instead of printing it.

## Examples

    $ echo hello | hub gist create --public

    $ hub gist create file1.txt file2.txt

    # print a specific file within a gist:
    $ hub gist show ID testfile1.txt

## See also

hub(1), hub-api(1)